AnsweredAssumed Answered

OpenCV library fails on Yocto build

Question asked by Mohammed Siddique on Sep 20, 2016
Latest reply on Sep 26, 2016 by Andre Silva

i am trying to build OpenCV on Yocto my local.conf looks like :

BB_NUMBER_THREADS ?= "${@oe.utils.cpu_count()}"
PARALLEL_MAKE ?= "-j ${@oe.utils.cpu_count()}"
MACHINE ??= 'imx6slzbha'
DISTRO ?= 'poky'
PACKAGE_CLASSES ?= "package_rpm"
EXTRA_IMAGE_FEATURES = "debug-tweaks"
USER_CLASSES ?= "buildstats image-mklibs image-prelink"
PATCHRESOLVE = "noop"
BB_DISKMON_DIRS = "\
STOPTASKS,${TMPDIR},1G,100K \
STOPTASKS,${DL_DIR},1G,100K \
STOPTASKS,${SSTATE_DIR},1G,100K \
ABORT,${TMPDIR},100M,1K \
ABORT,${DL_DIR},100M,1K \
ABORT,${SSTATE_DIR},100M,1K"
PACKAGECONFIG_pn-qemu-native = "sdl"
PACKAGECONFIG_pn-nativesdk-qemu = "sdl"
ASSUME_PROVIDED += "libsdl-native"
CONF_VERSION = "1"

BB_NUMBER_THREADS = '32'
PARALLEL_MAKE = '-j 32'

DL_DIR ?= "${BSPDIR}/downloads/"
ACCEPT_FSL_EULA = ""

CORE_IMAGE_EXTRA_INSTALL += "python-core"
CORE_IMAGE_EXTRA_INSTALL += "gpu-viv-bin-mx6q gpu-viv-bin-mx6q-dev"
CORE_IMAGE_EXTRA_INSTALL += "libopencv-core-dev libopencv-highgui-dev \
libopencv-imgproc-dev libopencv-objdetect-dev \
libopencv-ml-dev"
LICENSE_FLAGS_WHITELIST = "commercial"


But i am facing an error :

ERROR: Unable to install packages. Command '/media/verizon/MyBook/Brillo/stct_iog1/source/yocto/build/tmp/sysroots/x86_64-linux/usr/bin/smart --data-dir=/media/verizon/MyBook/Brillo/stct_iog1/source/yocto/build/tmp/work/imx6slzbha-poky-linux-gnueabi/core-image-minimal/1.0-r0/rootfs/var/lib/smart install -y dosfstools@cortexa9hf_vfp_neon gpu-viv-bin-mx6q@cortexa9hf_vfp_neon_mx6 uim@cortexa9hf_vfp_neon curl@cortexa9hf_vfp_neon gpu-viv-bin-mx6q-dev@cortexa9hf_vfp_neon_mx6 libopencv-ml-dev@cortexa9hf_vfp_neon kernel-modules@imx6slzbha libopencv-imgproc-dev@cortexa9hf_vfp_neon sqlite3@cortexa9hf_vfp_neon packagegroup-core-boot@imx6slzbha inetutils@cortexa9hf_vfp_neon inetutils-telnetd@cortexa9hf_vfp_neon libevent@cortexa9hf_vfp_neon avahi@cortexa9hf_vfp_neon wpa-supplicant@cortexa9hf_vfp_neon run-postinsts@all libopencv-highgui-dev@cortexa9hf_vfp_neon ti-compat-wireless-wlconf@cortexa9hf_vfp_neon ti-compat-wl18xx@imx6slzbha bluez4@cortexa9hf_vfp_neon libopencv-objdetect-dev@cortexa9hf_vfp_neon bt-firmware@imx6slzbha libopencv-core-dev@cortexa9hf_vfp_neon ti-wl18xx-firmware@cortexa9hf_vfp_neon' returned 1:

Committing transaction...
Preparing... ######################################## [ 0%]
error: file /usr/lib/libstdc++.so.6 conflicts between attempted installs of libstdc++6-4.8.2-r0.cortexa9hf_vfp_neon and zbha-1.0-r0.cortexa9hf_vfp_neon

Outcomes